Pay a payment link (public x402)
Public, unauthenticated. Without a payment header returns 402 with requirements (browsers with `Accept: text/html` are redirected to checkout). Retry with `X-Payment` (or `Payment-Signature`) to pay. Replaying the same X-Payment is idempotent.
GET
/paymentlink/{linkId}
Responses
Paid. Receipt also in the X-Payment-Response header.
application/json
Paid.
The link's resourceContent.
Receipt.
{
"status": "<string>",
"resource": "<string>",
"receipt": {
"txHash": "<string>",
"payer": "<string>",
"amount": "<string>",
"currency": "<string>"
}
}